# classes/phing/parser/ProjectHandler.php

## \ProjectHandler
jump to top

Handler class for the <project> XML element This class handles all elements under the <project> element.

Extends from
  \AbstractHandler
access
  public
author
  Andreas Aderhold
copyright
  (c) 2001,2002 THYRELL. All rights reserved
package
  phing.parser
version
  $Revision: 775 $ $Date: 2010-05-11 15:51:39 +0200 (Tue, 11 May 2010) $

### Properties

`\ProjectConfigurator $configurator= ''`

The phing project configurator object.

Details

Type
  \ProjectConfigurator

### Methods

`__construct( object $parser, object $parentHandler, object $configurator ) :`
Constructs a new ProjectHandler
Parameters

Name | Type | Description
--- | --- | ---
$parser | object | the ExpatParser object
$parentHandler | object | the parent handler that invoked this handler
$configurator | object | the ProjectConfigurator object

Details

access
  public

`canonicalName( $name ) :`
static
Parameters

Name | Type | Description
--- | --- | ---
$name |  |

`init( string $tag, array $attrs ) :`
Executes initialization actions required to setup the project. Usually this method handles the attributes of a tag.
Parameters

Name | Type | Description
--- | --- | ---
$tag | string | the tag that comes in
$attrs | array | attributes the tag carries

Details

access
  public
throws
  if attributes are incomplete or invalid

`startElement( string $name, array $attrs ) :`
Handles start elements within the <project> tag by creating and calling the required handlers for the detected element.
Parameters

Name | Type | Description
--- | --- | ---
$name | string | the tag that comes in
$attrs | array | attributes the tag carries

Details

access
  public
throws
  if a unxepected element occurs

Documentation was generated by DocBlox 0.13.1.